<% @checklists.each do |c| %>
    <div role="tabpanel" class="tab-pane" id="tab_<%= c[:category_id] %>">
        <a href="javascript:void(0)" class="addtask" data-check-type="main" data-id="<%= c[:category_id] %>">+ Add New Task</a>
        <ul class="todo">
            <% c[:subcategories].each do |s| %>
                <li class="sub_list sub_list_<%= s[:subcategory_id] %>" data-id="<%= s[:subcategory_id] %>">
                    <div class="cell">
                        <div class="row cat_row_<%= s[:subcategory_id] %>">
                            <div class="col-xs-10">
                                <label class="ccheckbox <%= s[:is_mark] == 1 ? 'selected' : '' %>"><%= s[:subcategory_name] %>
                                    <input type="checkbox" name="checklist" class="<%= s[:is_mark] == 1 ? 'active' : '' %> parent_checklist parent_<%= s[:subcategory_id] %>" data-id="<%= s[:subcategory_id] %>"  data-check-type="main">
                                    <span class="checkmark checklist_checkmark checklist_<%= s[:subcategory_id] %>" data-id="<%= s[:subcategory_id] %>"></span>
                                </label>
                            </div>
                            <div class="col-xs-2">
                                <% if s[:user_id] == current_user.id %>
                                    <a href="javascript:void(0)" class="delete-icon pull-right" data-id="<%= s[:subcategory_id] %>" data-check-type="main" data-method="post" data-title: ''><%= image_tag 'delete-icon.png', class: 'img-responsive' %></a>
                                <% end %>
                                <% if s[:user_id] == current_user.id %>
                                    <a href='javascript:void(0)' class="edit-icon pull-right edit_task"  data-check-type="main" data-id="<%= s[:subcategory_id] %>" data-value="<%= s[:subcategory_name] %>"><%= image_tag 'upload_icon.png', class: 'img-responsive' %></a>
                                <% end %>
                                <a href="javascript:void(0)" class="add-icon add_sub_task pull-right" data-id="<%= s[:subcategory_id] %>" data-check-type="subcategory"><%= image_tag 'add-icon.png', class: 'img-responsive' %></a>
                            </div>
                        </div>
                    </div>
                    <ul>
                        <% if s[:checklists].present? %>
                            <% s[:checklists].each do |check| %>
                                <li>
                                    <div class="cell">
                                        <div class="row cat_row_<%= check.id %>">
                                            <div class="col-xs-10">
                                                <!-- <label class="ccheckbox"><%#= check.title %>
                                                    <input type="checkbox">
                                                    <span class="checkmark"></span>
                                                </label> -->
                                                <label class="ccheckbox <%= check.is_mark == 1 ? 'selected' : '' %>"><%= check.title %>
                                                    <input type="checkbox" name="checklist" class="<%= check.is_mark == 1 ? 'active' : '' %> child_checklist child_<%= s[:subcategory_id] %>" data-id="<%= check.id %>"  data-check-type="sub">
                                                    <span class="checkmark checklist_checkmark"></span>
                                                </label>
                                            </div>
                                            <div class="col-xs-2">
                                                <a href="javascript:void(0)" class="delete-icon pull-right" data-id="<%= check.id %>" data-check-type="sub" data-method="post" data-parent-id="<%= s[:subcategory_id] %>"><%= image_tag 'delete-icon.png', class: 'img-responsive' %></a>
                                                <a href='javascript:void(0)' class="edit-icon pull-right edit_task"  data-check-type="sub" data-id="<%= check.id %>" data-value="<%= check.title %>" ><%= image_tag 'upload_icon.png', class: 'img-responsive' %></a>
                                            </div>
                                        </div>
                                    </div>
                                </li>
                            <% end %>
                        <% end %>
                    </ul>
                </li>
            <% end %>
        </ul>
    </div>
<% end %>
